%define version 1.6.0
%define pre beta2
%define fversion %version%pre
%define release 0.%pre.1mdk
%define iwver 0.7.0beta2

Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   %version
Release:   %release
License:   GPL
Group:     System/Configuration/Packaging
Source:    %{name}-%{fversion}.tar.bz2
Patch0:	   checkinstall-1.6.0beta2-mdk.patch.bz2	
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://asic-linux.com.mx/~izto/checkinstall/
Provides: libcheckinstall1
Obsoletes: libcheckinstall1

%description
CheckInstall  keeps  track of all the files created  or
modified  by your installation  script  ("make install"
"make install_modules",  "setup",   etc),   builds    a 
standard   binary   package and  installs  it  in  your 
system giving you the ability to uninstall it with your 
distribution's  standard package management  utilities. 

%prep

%setup -q -n %name-%fversion
%patch0 -p1 -b .mdk

%build
make

%install
rm -rf %buildroot
install -D -m 755 checkinstall %buildroot/%{_bindir}/checkinstall
install -D -m 755 makepak %buildroot/%{_sbindir}/makepak
install -m 755 installwatch-%iwver/installwatch %buildroot/%{_bindir}
install -D -m 755 installwatch-%iwver/installwatch.so %buildroot/%{_libdir}/checkinstall/installwatch.so
install -m 755 checkinstallrc-dist %buildroot/%{_libdir}/checkinstall/checkinstallrc
install -D -m 644 locale/checkinstall-es.mo %buildroot%_libdir/checkinstall/locale/es/LC_MESSAGES/checkinstall.mo

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,755)
%doc README INSTALL RELNOTES BUGS TODO CREDITS COPYING
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_sbindir}/makepak
%dir %{_libdir}/checkinstall/
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/checkinstall/installwatch.so
%lang(es) %{_libdir}/checkinstall/locale/es
%dir %{_libdir}/checkinstall/locale/

%changelog
* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- fix installation
- rediff the patch
- 1.6.0beta2

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-5mdk
- own %{_libdir}/checkinstall/

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-4mdk
- move makepak to %_sbindir as configured in checkinstall

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-3mdk
- move the preload library to %{_libdir}/checkinstall/
- merge all patches into one

* Fri Jul 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.5.3-2mdk
- remove library package, no soname
- can't be noarch, there's a shared library
- patch2: docdir is /usr/share/doc, default release is 1mdk

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- 1.5.3
- url

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2

* Wed Apr 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-3mdk
- patch1: fixes PREFIX in installwatch ( we don't use make install in %%install )

* Sat Jan 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- %name-paths.patch : fix paths in scripts ( thx Rainer Koschnick ) 

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- apply changes from Jorg Pitts <jorgp@bartnet.net> (thx! )
	- new release 1.5.1
	- split package and make rpmlint happier

* Thu Apr 12 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.4.1-1mdk
- First package

